Bug 1830539 - Review Request: mdns-scan - Scan for mDNS/DNS-SD services published on the local network
Summary: Review Request: mdns-scan - Scan for mDNS/DNS-SD services published on the lo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-02 16:06 UTC by Robert Scheck
Modified: 2020-06-26 01:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-15 02:06:51 UTC
Type: Bug
mail: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2020-05-02 16:06:37 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/mdns-scan.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/mdns-scan-0.5-1.src.rpm
Description: mdns-scan is a tool for scanning for mDNS/DNS-SD services published on the local network. It works by issuing a mDNS PTR query to the special RR _services._dns-sd._udp.local for retrieving a list of all currently registered services on the local link.
Fedora Account System Username: robert

Comment 1 Fabian Affolter 2020-06-06 20:36:13 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GPL (v2 or later) (with
     incorrect FSF address)". 5 files have unknown license. Detailed output
     of licensecheck in /home/fab/Documents/repos/reviews/1830539-mdns-
     scan/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mdns-scan-0.5-1.fc33.x86_64.rpm
          mdns-scan-debuginfo-0.5-1.fc33.x86_64.rpm
          mdns-scan-debugsource-0.5-1.fc33.x86_64.rpm
          mdns-scan-0.5-1.fc33.src.rpm
mdns-scan.x86_64: W: spelling-error %description -l en_US dns -> dens, dins, dons
mdns-scan.x86_64: W: spelling-error %description -l en_US sd -> SD, ad, dd
mdns-scan.x86_64: W: spelling-error %description -l en_US udp -> up, pud, ump
mdns-scan.x86_64: E: incorrect-fsf-address /usr/share/licenses/mdns-scan/LICENSE
mdns-scan.src: W: spelling-error %description -l en_US dns -> dens, dins, dons
mdns-scan.src: W: spelling-error %description -l en_US sd -> SD, ad, dd
mdns-scan.src: W: spelling-error %description -l en_US udp -> up, pud, ump
4 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mdns-scan-debuginfo-0.5-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
mdns-scan-debugsource.x86_64: W: invalid-url URL: https://github.com/alteholz/mdns-scan/ <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
mdns-scan-debuginfo.x86_64: W: invalid-url URL: https://github.com/alteholz/mdns-scan/ <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
mdns-scan.x86_64: W: spelling-error %description -l en_US dns -> dens, dins, dons
mdns-scan.x86_64: W: spelling-error %description -l en_US sd -> SD, ad, dd
mdns-scan.x86_64: W: spelling-error %description -l en_US udp -> up, pud, ump
mdns-scan.x86_64: W: invalid-url URL: https://github.com/alteholz/mdns-scan/ <urlopen error [Errno -2] Name or service not known>
mdns-scan.x86_64: E: incorrect-fsf-address /usr/share/licenses/mdns-scan/LICENSE
3 packages and 0 specfiles checked; 1 errors, 6 warnings.



Source checksums
----------------
https://github.com/alteholz/mdns-scan/archive/v0.5/mdns-scan-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : fa830d91b993d15f8a463c8dd68f7106f0dded87928bec36074de934c2c52f73
  CHECKSUM(SHA256) upstream package : fa830d91b993d15f8a463c8dd68f7106f0dded87928bec36074de934c2c52f73


Requires
--------
mdns-scan (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

mdns-scan-debuginfo (rpmlib, GLIBC filtered):

mdns-scan-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mdns-scan:
    mdns-scan
    mdns-scan(x86-64)

mdns-scan-debuginfo:
    debuginfo(build-id)
    mdns-scan-debuginfo
    mdns-scan-debuginfo(x86-64)

mdns-scan-debugsource:
    mdns-scan-debugsource
    mdns-scan-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1830539
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: SugarActivity, Haskell, PHP, R, Python, fonts, Ocaml, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

The missing link to the upstream patch is not an issue as it can be found very easy.

Package APPROVED.

Comment 2 Igor Raits 2020-06-07 07:17:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mdns-scan

Comment 3 Fedora Update System 2020-06-07 11:41:10 UTC
FEDORA-2020-af9582d7e6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-af9582d7e6

Comment 4 Fedora Update System 2020-06-07 11:42:34 UTC
FEDORA-2020-087137c30f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-087137c30f

Comment 5 Fedora Update System 2020-06-07 11:47:50 UTC
FEDORA-EPEL-2020-50e29b55d1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-50e29b55d1

Comment 6 Fedora Update System 2020-06-07 11:48:30 UTC
FEDORA-EPEL-2020-f553e1b011 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f553e1b011

Comment 7 Fedora Update System 2020-06-07 20:43:09 UTC
FEDORA-EPEL-2020-aad4e879dc has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-aad4e879dc

Comment 8 Fedora Update System 2020-06-07 21:45:06 UTC
FEDORA-2020-087137c30f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-087137c30f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-087137c30f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-06-07 22:43:53 UTC
FEDORA-EPEL-2020-f553e1b011 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f553e1b011

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-07 23:47:50 UTC
FEDORA-EPEL-2020-50e29b55d1 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-50e29b55d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-06-08 01:47:48 UTC
FEDORA-2020-af9582d7e6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-af9582d7e6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-af9582d7e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-11 19:24:05 UTC
mdns-scan-0.5-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-aad4e879dc

Comment 13 Fedora Update System 2020-06-15 02:06:51 UTC
mdns-scan-0.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-06-16 01:29:15 UTC
mdns-scan-0.5-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-06-23 01:40:45 UTC
FEDORA-EPEL-2020-50e29b55d1 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-06-23 01:55:32 UTC
FEDORA-EPEL-2020-f553e1b011 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-06-26 01:51:59 UTC
FEDORA-EPEL-2020-aad4e879dc has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.